Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbehave.ant
Class AbstractEmbedderTask

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.jbehave.ant.AbstractEmbedderTask

All Implemented Interfaces:
  Cloneable

Direct Known Subclasses:
  GenerateStoriesView, MapStoriesAsEmbeddables, MapStoriesAsPaths, ReportStepdocs, ReportStepdocsAsEmbeddables, RunStoriesAsEmbeddables, RunStoriesAsPaths, RunStoriesWithAnnotatedEmbedderRunner

    public abstract class AbstractEmbedderTask

extends org.apache.tools.ant.Task

Abstract task that holds all the configuration parameters to specify and load stories.

Author:
  Mauro Talevi

Nested Class Summary
`protected class` | `AbstractEmbedderTask.AntEmbedderMonitor`

Field Summary

Fields inherited from class org.apache.tools.ant.Task
`target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`description, location, project`

Constructor Summary
`AbstractEmbedderTask()`

Method Summary
`protected EmbedderClassLoader` | `classLoader()` Creates the EmbedderClassLoader with the classpath element of the selected scope
`protected List<String>` | `classNames()` Finds class names, using the `newStoryFinder()`, in the `searchDirectory()` given specified `includes` and `excludes`.
`protected EmbedderControls` | `embedderControls()`
`protected EmbedderMonitor` | `embedderMonitor()`
`protected Embedder` | `newEmbedder()` Creates an instance of Embedder, either using `injectableEmbedderClass` (if set) or defaulting to `embedderClass`.
`protected StoryFinder` | `newStoryFinder()` Creates an instance of StoryFinder, using the `storyFinderClass`
`void` | `setAnnotatedEmbedderRunnerClass(String annotatedEmbedderRunnerClass)`
`void` | `setBatch(boolean batch)`
`void` | `setEmbedderClass(String embedderClass)`
`void` | `setExcludes(String excludesCSV)`
`void` | `setExecutorsClass(String executorsClass)`
`void` | `setGenerateViewAfterStories(boolean generateViewAfterStories)`
`void` | `setIgnoreFailureInStories(boolean ignoreFailureInStories)`
`void` | `setIgnoreFailureInView(boolean ignoreFailureInView)`
`void` | `setIncludes(String includesCSV)`
`void` | `setInjectableEmbedderClass(String injectableEmbedderClass)`
`void` | `setMetaFilters(String metaFiltersCSV)`
`void` | `setOutputDirectory(String outputDirectory)`
`void` | `setScope(String scope)`
`void` | `setSkip(boolean skip)`
`void` | `setSourceDirectory(String sourceDirectory)`
`void` | `setStoryFinderClass(String storyFinderClass)`
`void` | `setStoryTimeoutInSecs(long storyTimeoutInSecs)`
`void` | `setSystemProperties(String systemPropertiesCSV)`
`void` | `setTestOutputDirectory(String testOutputDirectory)`
`void` | `setTestSourceDirectory(String testSourceDirectory)`
`void` | `setThreads(int threads)`
`void` | `setVerboseFailures(boolean verboseFailures)`
`void` | `setVerboseFiltering(boolean verboseFiltering)`
`protected List<String>` | `storyPaths()` Finds story paths, using the `newStoryFinder()`, in the `searchDirectory()` given specified `includes` and `excludes`.

Methods inherited from class org.apache.tools.ant.Task
`bindToOwner, execute, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractEmbedderTask

    public AbstractEmbedderTask()

Method Detail

### classLoader

    protected EmbedderClassLoader classLoader()

  Creates the EmbedderClassLoader with the classpath element of the selected scope

  Returns:
    A EmbedderClassLoader

### embedderMonitor

    protected EmbedderMonitor embedderMonitor()

### embedderControls

    protected EmbedderControls embedderControls()

### storyPaths

    protected List<String> storyPaths()

  Finds story paths, using the `newStoryFinder()`, in the `searchDirectory()` given specified `includes` and `excludes`.

  Returns:
    A List of story paths found

### classNames

    protected List<String> classNames()

  Finds class names, using the `newStoryFinder()`, in the `searchDirectory()` given specified `includes` and `excludes`.

  Returns:
    A List of class names found

### newStoryFinder

    protected StoryFinder newStoryFinder()

  Creates an instance of StoryFinder, using the `storyFinderClass`

  Returns:
    A StoryFinder

### newEmbedder

    protected Embedder newEmbedder()

  Creates an instance of Embedder, either using `injectableEmbedderClass` (if set) or defaulting to `embedderClass`.

  Returns:
    An Embedder

### setSourceDirectory

    public void setSourceDirectory(String sourceDirectory)

### setTestSourceDirectory

    public void setTestSourceDirectory(String testSourceDirectory)

### setOutputDirectory

    public void setOutputDirectory(String outputDirectory)

### setTestOutputDirectory

    public void setTestOutputDirectory(String testOutputDirectory)

### setScope

    public void setScope(String scope)

### setIncludes

    public void setIncludes(String includesCSV)

### setExcludes

    public void setExcludes(String excludesCSV)

### setBatch

    public void setBatch(boolean batch)

### setSkip

    public void setSkip(boolean skip)

### setIgnoreFailureInStories

    public void setIgnoreFailureInStories(boolean ignoreFailureInStories)

### setIgnoreFailureInView

    public void setIgnoreFailureInView(boolean ignoreFailureInView)

### setGenerateViewAfterStories

    public void setGenerateViewAfterStories(boolean generateViewAfterStories)

### setVerboseFailures

    public void setVerboseFailures(boolean verboseFailures)

### setVerboseFiltering

    public void setVerboseFiltering(boolean verboseFiltering)

### setStoryTimeoutInSecs

    public void setStoryTimeoutInSecs(long storyTimeoutInSecs)

### setThreads

    public void setThreads(int threads)

### setEmbedderClass

    public void setEmbedderClass(String embedderClass)

### setExecutorsClass

    public void setExecutorsClass(String executorsClass)

### setInjectableEmbedderClass

    public void setInjectableEmbedderClass(String injectableEmbedderClass)

### setAnnotatedEmbedderRunnerClass

    public void setAnnotatedEmbedderRunnerClass(String annotatedEmbedderRunnerClass)

### setStoryFinderClass

    public void setStoryFinderClass(String storyFinderClass)

### setMetaFilters

    public void setMetaFilters(String metaFiltersCSV)

### setSystemProperties

    public void setSystemProperties(String systemPropertiesCSV)

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2013. All Rights Reserved.